%define upstream_name    BDB
%define upstream_version 1.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Asynchronous Berkeley DB access
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/BDB
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: db-devel
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
This is the Asynchronous Berkeley DB access API for Perl and DB 4.6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.910.0-11.mga6
+ Revision: 1022692
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.910.0-10.mga6
+ Revision: 956764
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 1.910.0-9.mga6
+ Revision: 846056
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 1.910.0-8.mga6
+ Revision: 844739
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 1.910.0-7.mga6
+ Revision: 842340
- rebuild for perl-5.22

* Sat Oct 18 2014 umeabot <umeabot> 1.910.0-6.mga5
+ Revision: 787800
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.910.0-5.mga5
+ Revision: 742676
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.910.0-3.mga5
+ Revision: 683594
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.910.0-2.mga5
+ Revision: 630825
- Rebuild for perl 5.20

* Tue Apr 15 2014 jquelin <jquelin> 1.910.0-1.mga5
+ Revision: 614605
- update to 1.91

* Sat Oct 19 2013 umeabot <umeabot> 1.900.0-7.mga4
+ Revision: 524209
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.900.0-6.mga4
+ Revision: 430552
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-5.mga3
+ Revision: 363352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 1.900.0-4.mga3
+ Revision: 276375
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.900.0-3.mga3
+ Revision: 274836
- build db5

* Wed May 30 2012 jquelin <jquelin> 1.900.0-2.mga3
+ Revision: 250280
- rebuild for perl 5.16

* Wed Jan 04 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 190271
- update to 1.9
- update to 1.89

* Sat Jun 11 2011 jquelin <jquelin> 1.880.0-3.mga2
+ Revision: 103459
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.880.0-2.mga1
+ Revision: 23191
- cleaning spec file
- imported package perl-BDB


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.880.0-2mdv2011.0
+ Revision: 555682
- rebuild

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.880.0-1mdv2010.1
+ Revision: 530258
- update to 1.88

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.870.0-4mdv2010.1
+ Revision: 503943
- adding missing requires:

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 1.870.0-3mdv2010.1
+ Revision: 498573
- build with db4.8

* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.870.0-2mdv2010.1
+ Revision: 483975
- rebuild

* Wed Dec 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.870.0-1mdv2010.1
+ Revision: 481706
- update to 1.87

* Sat Dec 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.860.0-1mdv2010.1
+ Revision: 473712
- update to 1.86

* Thu Nov 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.850.0-1mdv2010.1
+ Revision: 465165
- update to 1.85

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1.840.0-1mdv2010.0
+ Revision: 415032
- adding missing buildrequires:
- update to 1.84

* Fri Jan 16 2009 Götz Waschk <waschk@mandriva.org> 1.83-1mdv2009.1
+ Revision: 330120
- update to new version 1.83

* Fri Jan 09 2009 Götz Waschk <waschk@mandriva.org> 1.82-1mdv2009.1
+ Revision: 327380
- update to new version 1.82

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 1.81-1mdv2009.1
+ Revision: 308455
- new version
- fix source URL
- build with libdb 4.7

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.71-1mdv2009.0
+ Revision: 271732
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.5-2mdv2009.0
+ Revision: 268371
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2009.0
+ Revision: 217355
- new version

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2008.1
+ Revision: 151846
- rebuild

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2008.1
+ Revision: 133736
- import perl-BDB


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2008.1
- initial package
